Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Class TransformerFactoryConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--javax.xml.transform.TransformerFactoryConfigurationError

All Implemented Interfaces:
  java.io.Serializable

public class TransformerFactoryConfigurationError
extends java.lang.Error
implements java.io.Serializable

Represents an error with the factory.

See Also:
  Serialized Form

Constructor Summary
`TransformerFactoryConfigurationError()` Create a new exception with no error message.
`TransformerFactoryConfigurationError(java.lang.String msg)` Create a new exception with a string error message.
`TransformerFactoryConfigurationError(java.lang.String msg, java.lang.Throwable e)` Create a new exception with a message and an error location.
`TransformerFactoryConfigurationError(java.lang.Throwable e)` Create a new exception with a message and an error location.

Method Summary
`java.lang.Throwable` | `getException()` Returns the underlying exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError()

  Create a new exception with no error message.

### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(java.lang.String msg)

  Create a new exception with a string error message.

### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(java.lang.String msg,
                                                java.lang.Throwable e)

  Create a new exception with a message and an error location.

### TransformerFactoryConfigurationError

    public TransformerFactoryConfigurationError(java.lang.Throwable e)

  Create a new exception with a message and an error location.

Method Detail

### getException

    public java.lang.Throwable getException()

  Returns the underlying exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD